var app = {
    initialize: function() {
        this.bindEvents();
    },
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },
    onDeviceReady: function() {
        app.receivedEvent('deviceready');
    },
    receivedEvent: function(id) {
        var parentElement = document.getElementById(id);
        var listeningElement = parentElement.querySelector('.listening');
        var receivedElement = parentElement.querySelector('.received');
        listeningElement.setAttribute('style', 'display:none;');
        receivedElement.setAttribute('style', 'display:block;');
        console.log('Received Event: ' + id);
    }
};
app.initialize();

//Admob
var admobid = {};
if( /(android)/i.test(navigator.userAgent) ) { 
    admobid = { // for Android
        banner: 'ca-app-pub-3637065105859719/7585365589',
        interstitial: 'ca-app-pub-3637065105859719/1538831989',
		rewardvideo: 'ca-app-pub-3637065105859719/5058005981',
    };
} else if(/(ipod|iphone|ipad)/i.test(navigator.userAgent)) {
    admobid = { // for iOS
        banner: 'ca-app-pub-3637065105859719/7585365589',
        interstitial: 'ca-app-pub-3637065105859719/1538831989',
		rewardvideo: 'ca-app-pub-3637065105859719/5058005981',
    };
} else {
    admobid = { // for Windows Phone
        banner: 'ca-app-pub-3637065105859719/7585365589',
        interstitial: 'ca-app-pub-3637065105859719/1538831989',
		rewardvideo: '',
    };
}

function loadAdmob() {	
    document.addEventListener('deviceready', initMyApp, false);
}

function initMyApp() {  

  if(AdMob) AdMob.createBanner( {
	license: 'anil246.1988@gmail.com/c12dd2df529fc152f9d94fcb6d81ea1c',
    adId:admobid.banner,
	overlap: false,
	offsetTopBar: false, 
    position:AdMob.AD_POSITION.BOTTOM_CENTER, 
    autoShow:true,
	bgColor: 'black'
  } );
	
  if(AdMob) AdMob.prepareInterstitial( {
	license: 'anil246.1988@gmail.com/c12dd2df529fc152f9d94fcb6d81ea1c',
	adId:admobid.interstitial,
	autoShow:false
  } );
  
  if(AdMob) AdMob.prepareRewardVideoAd( {
	license: 'anil246.1988@gmail.com/c12dd2df529fc152f9d94fcb6d81ea1c',
	adId:admobid.rewardvideo,
	autoShow:false
  } );
  
}

function showFullAd(){		
	window.onbeforeunload = function(){
			if(AdMob) AdMob.showInterstitial();
		};
}

function showRewardedAd(){		
	window.onbeforeunload = function(){
			if(AdMob) AdMob.showRewardVideoAd();
		};
}

function backButton() {
	document.addEventListener("deviceready", backButtonExit, false);    
}

function backButtonExit() {
	// Register the event listener
	document.addEventListener("backbutton", onBackKeyDown, false);
}

function onBackKeyDown() {
	navigator.notification.confirm(
		'Are you sure you want to exit?', // message
		 onConfirm,            // callback to invoke with index of button pressed
		'Confirm exit',           // title
		['Yes','No']     // buttonLabels
	);
	function onConfirm(buttonIndex) {
		if (buttonIndex == 1) {
			navigator.app.exitApp();
		}
	}
}


function shareOnClick(){
  document.addEventListener("deviceready", shareApp, false); 
}

function shareApp(){
	// Register the event listener
	document.getElementById("share-button").addEventListener("click", otherShare, false);
	document.getElementById("left-panel-share-button").addEventListener("click", otherShare, false);
}

function otherShare(){
    window.plugins.socialsharing.share('Share GK App', null, null, 'https://play.google.com/store/apps/details?id=com.crackcompetitiveexams.gk');
};

 
 
function browserbtn(){        
	document.addEventListener("deviceready", appbrowser, false);
}
	
function appbrowser(){
   document.getElementById("openBrowser").addEventListener("click", openBrowser);
   document.getElementById("openBrowser2").addEventListener("click", openBrowser2);
   document.getElementById("openBrowser3").addEventListener("click", openBrowser3);
}

function openBrowser3(){
   var url = "http://www.hindicurrentaffairs.com/";
   var target = "_system";
   var options = "location=yes,zoom=no";
   var ref = cordova.InAppBrowser.open(url, target, options);	     
}
function openBrowser2(){
   var url = "http://www.sarkariexamalert.com/";
   var target = "_system";
   var options = "location=yes,zoom=no";
   var ref = cordova.InAppBrowser.open(url, target, options);	      
}

function openBrowser(){
   var url = "http://www.samanyagyanquiz.com/";
   var target = "_system";
   var options = "location=yes,zoom=no";
   var ref = cordova.InAppBrowser.open(url, target, options);	     
}